<script lang="ts">
  export let classes: string = '';

  const classNames = classes?.split(' ') ?? [];

  classNames.push(
      'duration-100', 'relative', 'bg-neutral-800', 'text-neutral-50', 'font-extrabold',
      'before:content-[""]', 'before:duration-100', 'before:absolute', 'before:z-[-1]',
      'before:hover:w-full', 'before:hover:h-full',
      'after:content-[""]', 'after:duration-100', 'after:absolute'
  );

  classNames.push(
      'text-md', 'px-5', 'py-2.5',
      'hover:rounded-tl-md',
      'before:w-4', 'before:h-4', 'before:-bottom-1.5', 'before:-right-1.5',
      'before:hover:rounded-br-md', 'before:hover:rounded-md',
      'after:w-4', 'after:h-4', 'after:-bottom-1.5', 'after:-right-1.5'
  );

  classNames.push(
      'after:bg-violet-700',
      'before:hover:bg-violet-700/30'
  );
</script>

<div class={classNames.join(' ')}>
    <slot/>
</div>
